- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# sc::SystemException Class Reference

This is thrown when a system problem occurs. More...

`#include <scexception.h>`

Inheritance diagram for sc::SystemException:

List of all members.

## Public Member Functions
| SystemException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SystemException") throw ()
| SystemException (const SystemException &) throw ()

## Detailed Description

This is thrown when a system problem occurs.

The documentation for this class was generated from the following file:

- scexception.h